Skip to main content

Get all transactions

GET 

/auth/payment-gateway/transactions

You have the option to select either 'company_id', 'external_id', or 'date' as a filter criterion, but please note that you can't choose more than one filter at a time. For filtering by 'date', you have the flexibility to set either a 'start_date', an 'end_date', or both.

Request

Query Parameters

    start_key base64

    Start key in base64 encoded json, key of the first item of the page. Put here the key received in last_key.

    limit integer

    Possible values: <= 100

    Default value: 20

    Number of items per page

    company_id uuid

    Cents id of the company

    external_id string

    Payment gateway id

    start_date date

    Start date for date filter

    end_date date

    End date for date filter

Responses

successful operation

Schema

    data

    object[]

  • Array [

  • id uuidrequired

    cents id of the transaction

    external_id stringrequired

    Payment gateway id, the payment gateway unique name identifier is put at the begining of the string (this is inserted by cents according to the logged user)

    company_id uuidrequired

    Cents id of the company (if we have data of it)

    payment_gateway_company_id uuid

    Payment gateway internal id of the company (even if we do not have data of it)

    company_sector string

    sector of the company

    payment_gateway_id uuidrequired

    Cents id of the payment gateway

    payment_gateway_order_transaction_id string

    Payment Gateway Order Transaction ID, the Identifier for the Initial (order) Transaction in the Process Flow.

    order_amount floatrequired

    Transaction amount

    total_amount floatrequired

    Transaction amount

    currency stringrequired

    Transaction currency

    charity_id uuidrequired

    Cents id of the charity

    donation_cause stringrequired

    Cause unique name (in the namespace of the charity)

    donation_amount floatrequired

    Donation amount

    donation_currency stringrequired

    Donation currency

    created_date daterequired

    Transaction created date

    updated_date daterequired

    Transaction updated date

    consumer_user_id stringrequired

    Cents id of consumer user (if we have data of it)

    consumer_user_full_name stringrequired

    Consumer user name (if we have data of it)

    consumer_user_email emailrequired

    Consumer user email (if we have data of it)

    consumer_user_phone stringrequired

    Consumer user phone number (if we have data of it)

    billable_address

    object

    required

    street_address stringrequired
    city stringrequired
    region_state stringrequired
    zip_code stringrequired
    country stringrequired
    transaction_status stringrequired

    Possible values: [pre_transaction, draft, paid, refunded, disputed, failed]

    Transaction status

    hmac string

    hash of transaction

    refunded_amount floatrequired

    Refunded amount

    reconciliation_id stringrequired

    External ID (generated by the payment gateway) used to reconcilate transaction with the pre_transaction

  • ]

  • last_key string

    the key is used to fetch the subsequent page (to be passed to start_key parameter). If it's empty, no further data is available

Loading...